=== debian/watch ===
version=3

http://sed.sourceforge.net/grabbag/ssed/ sed-(.*)\.tar\.gz
